#version 300 es

precision mediump float;

uniform sampler2D sImageTexture; // inputImage texture
uniform sampler2D sMaskTexture;
in vec2 vTextureCoord;
out vec4 FragColor;

void main() {
    vec2 displacement = texture(sMaskTexture, vTextureCoord).xy;
    FragColor = texture(sImageTexture, vTextureCoord + displacement);
}
