uniform mat4 uMVPMatrix;
uniform mat4 uSTMatrix;
attribute vec4 aPosition;
attribute vec4 aTextureCoord;
attribute vec4 aOverlayTextureCoord;
varying vec2 vTextureCoord;
varying vec2 vOverlayTextureCoord;

void main() {
    gl_Position = uMVPMatrix * aPosition;
    vTextureCoord = (uSTMatrix * aTextureCoord).xy;
    vOverlayTextureCoord = (uSTMatrix * aOverlayTextureCoord).xy;
}