#version 300 es

precision mediump float;

uniform sampler2D sImageTexture; // inputImage texture

in vec2 vTextureCoord;
uniform int iLevel;
out vec4 FragColor;

void main() {
    float l = float(iLevel);
    vec3 cur = textureLod(sImageTexture, vTextureCoord, l).rgb;
    FragColor = vec4(cur, 1.0);
}
