#version 300 es

uniform mat4 uMVPMatrix;
uniform mat4 uSTMatrix;
uniform mat4 overlayMatrix;
uniform mat4 overlayMatrix2;

in vec4 aPosition;
in vec4 aTextureCoord;
in vec4 aOverlayTextureCoord;
in vec4 aOverlayTextureCoord2;

out vec2 vTextureCoord;
out vec2 vOverlayTextureCoord;
out vec2 vOverlayTextureCoord2;

void main() {
    gl_Position = uMVPMatrix * aPosition;
    vTextureCoord = (uSTMatrix * aTextureCoord).xy;
    vOverlayTextureCoord = (overlayMatrix * aOverlayTextureCoord).xy;
    vOverlayTextureCoord2 = (overlayMatrix2 * aOverlayTextureCoord2).xy;
}
